//
//  browserAppDelegate.m
//  browser
//
//  Created by Miguel de Icaza on 1/6/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "browserAppDelegate.h"

@implementation browserAppDelegate

@synthesize window;

static NSNetServiceBrowser *sb;
static NSNetService *svc;

- (void)applicationDidFinishLaunching:(UIApplication *)application {    
	svc = [[NSNetService alloc] initWithDomain: @"" type: @"_senk._tcp" name: @"" port: 2000];
	[svc publish];
	
    // Override point for customization after application launch
	sb = [[NSNetServiceBrowser alloc] init];
	[sb setDelegate:(id)self];
	[sb searchForServicesOfType:@"_senk._tcp"
					   inDomain:@""];
    [window makeKeyAndVisible];
}

- (void) netServiceBrowser:(NSNetServiceBrowser *) browser didFindService:(NSNetService *) svc moreComing: (BOOL) moreComing {
	printf ("Found\n");
}

- (void)dealloc {
    [window release];
    [super dealloc];
}


@end
